<?php

namespace App\Http\Controllers\Catalogos;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

use App\Libraries\ejLib;
Use SimpleXMLElement;

class ProcedimientosController extends Controller
{
    // 21 Dic 2016 . LI Juan Pablo Sánchez Bracamontes
    public function referenciarEspecialidad(){      
      $centro_sal=$_POST['centro_sal'];
    	$Id_Especialidad=$_POST['Id_Especialidad'];
    	$status=$_POST['status'];
    	$i=$_POST['i'];

	    $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		$Solicitud = $soapclient->AdministrarCatalogos_up_referenciarEspecialidad($centro_sal, $Id_Especialidad, $status, $wsClave);

		//echo $Solicitud;
		if($status=='0'){ ?>
              <img src="Img/Referenciar.png" width="20px" height="20px" title="Referenciar" style="cursor: pointer;" onclick="jqGetAjaxShort('catalogo-referenciarEspecialidad','stRefObj_<?php echo $i; ?>', {centro_sal: '<?php echo $centro_sal; ?>', Id_Especialidad: '<?php echo $Id_Especialidad; ?>', status: '1', i: <?php echo $i; ?> }); setTimeout(stLeg('stLeg_<?php echo $i; ?>', '0'), 200);" />
        <?php
        } else{ ?>
              <img src="Img/ReferenciarOn.png" width="20px" height="20px" title="Desreferenciar" style="cursor: pointer;" onclick="jqGetAjaxShort('catalogo-referenciarEspecialidad','stRefObj_<?php echo $i; ?>', {centro_sal: '<?php echo $centro_sal; ?>', Id_Especialidad: '<?php echo $Id_Especialidad; ?>', status: '0', i: <?php echo $i; ?> }); setTimeout(stLeg('stLeg_<?php echo $i; ?>', '1'), 200);" />
            <?php
        }
	}

	// 21 Dic 2016 . LI Juan Pablo Sánchez Bracamontes
    public function statusEspecialidad(){
      $centro_sal=$_POST['centro_sal'];
    	$Id_Especialidad=$_POST['Id_Especialidad'];
    	$status=$_POST['status'];
    	$i=$_POST['i'];

	    $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		$Solicitud = $soapclient->AdministrarCatalogos_up_statusEspecialidad($centro_sal, $Id_Especialidad, $status, $wsClave);


		if($status=='0'){ ?>
              <img src="Img/Baja.png" width="20px" height="20px" title="Establecer en activo" style="cursor: pointer;" onclick="jqGetAjaxShort('catalogo-statusEspecialidad','stUpObj_<?php echo $i; ?>', { centro_sal: '<?php echo $centro_sal; ?>', Id_Especialidad: '<?php echo $Id_Especialidad; ?>', status: '1', i: <?php echo $i; ?> }); " />
        <?php
        } else{ ?>
              <img src="Img/Activar.png" width="20px" height="20px" title="Dar de baja" style="cursor: pointer;" onclick="jqGetAjaxShort('catalogo-statusEspecialidad','stUpObj_<?php echo $i; ?>', { centro_sal: '<?php echo $centro_sal; ?>', Id_Especialidad: '<?php echo $Id_Especialidad; ?>', status: '0', i: <?php echo $i; ?> }); " />
            <?php
        }
	}

	// 21 Dic 2016 . LI Juan Pablo Sánchez Bracamontes
    public function up_Especialidad(){
    	$Id_Especialidad=$_POST['Id_Especialidad'];
    	//$especialidad=$_POST['especialidad'];
    	//$id_rama=$_POST['id_rama'];
    	$ncitas=$_POST['ncitas'];
    	$referenciar=$_POST['referenciar'];
      $centro_sal=$_POST['centro_sal']; // 28 Dic 2018 . LI Juan Pablo Sánchez Bracamontes . Codigo agregado
    	//echo $Id_Especialidad.' - '.$especialidad.' - '.$id_rama.' - '.$ncitas.' - '.$referenciar;
      
  	  $var = ejLib::getInstance();
  		$soapclient = $var->getWs();
  		$wsClave = $var->get_wsClave();
      //$Solicitud = $soapclient->AdministrarCatalogos_up_Especialidad($Id_Especialidad, $especialidad, $id_rama, $ncitas, $referenciar, $wsClave); // 28 Dic 2018 . Codigo descontinuado
  		$Solicitud = $soapclient->AdministrarCatalogos_up_Especialidad($centro_sal, $Id_Especialidad, $ncitas, $referenciar, $wsClave); // 28 Dic 2018 . LI Juan Pablo Sánchez Bracamontes . Codigo editado         


  		$Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

  		if($Resp->respuesta[0]->error == '0') echo "<b> Registro actualizado con éxito </b>";
  		else echo utf8_decode($Resp->respuesta[0]->titulo);

      ?>
      <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
      <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
      <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
    <?php
      
	}

  // 27 Julio 2017. Félix Ricardo Oliva Alonso. Se agrega el método para Agregar una especialidad

  public function add_Especialidad(){    

    $Id_Especialidad=$_POST['Id_Especialidad']; // 02 Ene 2019
    $especialidad=$_POST['especialidad'];
    $id_rama=$_POST['rama'];    
    $ncitas=$_POST['ncitas'];
    $referenciar=$_POST['referenciar'];    

    // 02 Ene 2019 . LI Juan Pablo Sanchez Bracamontes . Codigo agregado, es para agregar el registro a la bd y no solo mostrar las variables recibidas =>
    $var = ejLib::getInstance(); 
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $Solicitud = $soapclient->AdministrarCatalogos_add_Especialidad($Id_Especialidad, $especialidad, $id_rama,$ncitas,$referenciar, $wsClave);
    $RESPUESTAS  = new SimpleXMLElement(utf8_encode($Solicitud));  
  ?>
    <input type="hidden" id="hError" name="hError" value="<?php echo $RESPUESTAS->respuesta[0]->error;  ?>">
    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($RESPUESTAS->respuesta[0]->titulo);  ?>">
    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($RESPUESTAS->respuesta[0]->descripcion);  ?>">
  <?php
    // 02 Ene 2019 . LI Juan Pablo Sanchez Bracamontes . <= Fin de codigo agregado 
 }

	// 22 Dic 2016 . LI Juan Pablo Sánchez Bracamontes
    public function statusModuloDeArchivo(){
    	$Id_Archivo=$_POST['Id_Archivo'];
    	$Status=$_POST['Status'];
    	$i=$_POST['i'];

	    $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		$Solicitud = $soapclient->AdministrarConsultorios_up_statusModuloDeArchivo($Id_Archivo, $Status, $wsClave);

		if($Status=='1'){ ?>
              <img src="Img/Baja.png" width="20px" height="20px" title="Establecer en activo" style="cursor: pointer;" onclick="
              jqGetAjaxShort('consultorio-statusModulosDeArchivo','stUpObj_<?php echo $i; ?>', { Id_Archivo: '<?php echo $Id_Archivo; ?>', Status: '0', i: <?php echo $i; ?> });
              setTimeout(stLeg('stLeg_<?php echo $i; ?>', '0'), 200);
              " />
        <?php
        } else{ ?>
              <img src="Img/Activar.png" width="20px" height="20px" title="Dar de baja" style="cursor: pointer;" onclick="
              jqGetAjaxShort('consultorio-statusModulosDeArchivo','stUpObj_<?php echo $i; ?>', { Id_Archivo: '<?php echo $Id_Archivo; ?>', Status: '1', i: <?php echo $i; ?> });
              setTimeout(stLeg('stLeg_<?php echo $i; ?>', '1'), 200);
              " />
            <?php
        }

	}

	// 01 Feb 2017 . LI Juan Pablo Sánchez Bracamontes
    public function statusConsultorio(){
    	$Id_Consultorio=$_POST['Id_Consultorio'];
    	$Status=$_POST['Status'];
    	$i=$_POST['i'];

	    $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();
		$Solicitud = $soapclient->AdministrarConsultorios_up_statusConsultorio($Id_Consultorio, $Status, $wsClave);
		$Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

		/*
		if($Resp->respuesta[0]->error == '0') echo "<b> Registro actualizado con éxito </b>";
		else echo '<b style="color: red;">'.utf8_decode($Resp->respuesta[0]->titulo)."</b>. ".utf8_decode($Resp->respuesta[0]->descripcion)."";
		*/

		if($Status=='0'){ ?>
		<img src="Img/Baja.png" width="20px" height="20px" title="Establecer en activo" style="cursor: pointer;" onclick="
          jqGetAjaxShort('consultorio-statusConsultorio','stUpObj_<?php echo $i; ?>', { Id_Consultorio: '<?php echo $Id_Consultorio; ?>', Status: '1', i: <?php echo $i; ?> });
          setTimeout(stLeg('stLeg_<?php echo $i; ?>', '0'), 200);
          " />
		<?php
        } else{ ?>
        <img src="Img/Activar.png" width="20px" height="20px" title="Dar de baja" style="cursor: pointer;"  onclick="
          jqGetAjaxShort('consultorio-statusConsultorio','stUpObj_<?php echo $i; ?>', { Id_Consultorio: '<?php echo $Id_Consultorio; ?>', Status: '0', i: <?php echo $i; ?> });
          setTimeout(stLeg('stLeg_<?php echo $i; ?>', '1'), 200);
          " />
        <?php
        }
	}

	// 23 Dic 2016 . LI Juan Pablo Sánchez Bracamontes
    public function up_ModuloDeArchivo(){
    	$Id_Archivo=$_POST['Id_Archivo'];
    	$No=$_POST['No'];
      $Descripcion=$_POST['Descripcion'];
    	$equiposReg=$_POST['equiposReg'];

	    $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

		$Solicitud = $soapclient->AdministrarConsultorios_up_ModuloDeArchivo($Id_Archivo, $No, $Descripcion, $equiposReg, $wsClave);
		$Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

		if($Resp->respuesta[0]->error == '0') echo "<b> Registro actualizado con éxito </b>";
		else echo "<b>".utf8_decode($Resp->respuesta[0]->titulo). "</b>" ;
		?><button type="button" id="btn_guardar_adcon3" onclick="
    jqSetMensaje('upModulo', '', null);

	 	var Id_Archivo= '<?php echo $_POST['Id_Archivo']; ?>';
		var vActual = Id_Archivo+','+$( '#consultorio_adcon3' ).val();
		var resultado='';

	  $('.tabla_remo .mac').each(function(){ var mac=$(this).html(); resultado+=','+mac;});
	  if (resultado.length > 1) {

	   	resultado=resultado.substring(1, resultado.length);
	  }

		jqGetAjax('catalogo-up_ModuloDeArchivo','upModulo', { Id_Archivo: '<?php echo $_POST['Id_Archivo']; ?>', No: $( '#consultorio_adcon3' ).val(), Descripcion: $( '#txt_descripcion' ).val(), equiposReg: resultado });

		resultado.empty();

		">Actualizar</button><?php
	}




	// 09 Ene 2016 . LI Juan Pablo Sánchez Bracamontes
    public function add_ModuloDeArchivo(){
    	$Centro_Sal=$_POST['Centro_Sal'];
    	$No=$_POST['No'];
      $Descripcion=$_POST['Descripcion'];
    	$equiposReg=$_POST['equiposReg'];

    	if($No > 0 ){
		    $var = ejLib::getInstance();
			$soapclient = $var->getWs();
			$wsClave = $var->get_wsClave();

			$Solicitud = $soapclient->AdministrarConsultorios_add_Modulo($Centro_Sal, $No, $Descripcion, $equiposReg, $wsClave);


			$Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

			if($Resp->respuesta[0]->error == '0') echo "<b> Registro actualizado con éxito </b>";
			else{
				echo "<b>".utf8_decode($Resp->respuesta[0]->titulo). "</b>" ;
				?><button type="button" id="btn_guardar_adcon3" name="btn_guardar_adcon3" onclick="
        jqSetMensaje('upModulo', '', null);

        var resultado='';
          $('.tabla_remo .mac').each(function(){ var mac=$(this).html(); resultado+=','+mac;});
          if (resultado.length > 1) {
            resultado=resultado.substring(1, resultado.length);
          }
          jqGetAjax('catalogo-add_ModuloDeArchivo','upModulo', { Centro_Sal : '<?php echo $_POST['Centro_Sal']; ?>', No: $( '#consultorio_adcon3' ).val(), Descripcion: $( '#txt_descripcion' ).val(), equiposReg: resultado });

    ">Guardar</button><?php
			}
		}else{ echo "<b>Es necesario que sea capturado un número de módulo de archivo</b>";
			?><button type="button" id="btn_guardar_adcon3" name="btn_guardar_adcon3" onclick="
      jqSetMensaje('upModulo', '', null);

      var resultado='';
        $('.tabla_remo .mac').each(function(){ var mac=$(this).html(); resultado+=','+mac;});
        if (resultado.length > 1) {
          resultado=resultado.substring(1, resultado.length);
        }
        jqGetAjax('catalogo-add_ModuloDeArchivo','upModulo', { Centro_Sal : '<?php echo $_POST['Centro_Sal']; ?>', No: $( '#consultorio_adcon3' ).val(), Descripcion: $( '#txt_descripcion' ).val(), equiposReg: resultado });

    ">Guardar</button><?php
		}
	}

	// 01 Feb 2017 . LI Juan Pablo Sánchez Bracamontes
    public function up_Consultorio(){
    	$Id_Consultorio=$_POST['Id_Consultorio'];
    	$No=$_POST['No'];
    	$equiposReg=$_POST['equiposReg'];
      $id_archivo=$_POST['id_archivo'];

	    $var = ejLib::getInstance();
		$soapclient = $var->getWs();
		$wsClave = $var->get_wsClave();

		$Solicitud = $soapclient->AdministrarConsultorios_up_Consultorio($Id_Consultorio, $No, $equiposReg, $id_archivo, $wsClave);
		$Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

		if($Resp->respuesta[0]->error == '0') echo "<b> Registro actualizado con éxito </b>";
		else echo "<b>".utf8_decode($Resp->respuesta[0]->titulo). "</b>" ;
		?><button type="button" id="btn_guardar_adcon3" onclick="
    jqSetMensaje('upConsultorio', '', null);

    var Id_Consultorio= '<?php echo $_POST['Id_Consultorio']; ?>';
    var vActual = Id_Consultorio+','+$( '#consultorio_adcon3' ).val();
    var resultado='';

    var resultado='';
      $('.tabla_remo .mac').each(function(){ var mac=$(this).html(); resultado+=','+mac;});
      if (resultado.length > 1) {

        resultado=resultado.substring(1, resultado.length);
      }

    jqGetAjax('catalogo-up_Consultorio','upConsultorio', { Id_Consultorio: '<?php echo $_POST['Id_Consultorio']; ?>', No: $( '#consultorio_adcon3' ).val(), equiposReg: resultado });

		">Actualizar</button><?php
	}




	// 02 Feb 2017 . LI Juan Pablo Sánchez Bracamontes
    public function add_Consultorio(){
    	$Centro_Sal=$_POST['Centro_Sal'];
    	$No=$_POST['No'];
    	$equiposReg=$_POST['equiposReg'];
      $id_archivo=$_POST['id_archivo'];

  		$var = ejLib::getInstance();
  		$soapclient = $var->getWs();
  		$wsClave = $var->get_wsClave();

		  $Solicitud = $soapclient->AdministrarConsultorios_add_Consultorio($Centro_Sal, $No, $equiposReg, $id_archivo, $wsClave);

		  $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

		if($Resp->respuesta[0]->error == '0') echo "<b> Registro agregado con éxito </b>";
		else{
			echo '<b style="color:red;">'.utf8_decode($Resp->respuesta[0]->titulo). "</b>. ".utf8_decode($Resp->respuesta[0]->descripcion) ;
		}?><button type="button" id="btn_guardar_adcon3" name="btn_guardar_adcon3" onclick="

    jqSetMensaje('upConsultorio', '', null);

    var resultado='';
    var id_archivo = $( '#tblMovimientos #vCat_ModulosArchivo' ).val();
      $('.tabla_remo .mac').each(function(){ var mac=$(this).html(); resultado+=','+mac;});
      if (resultado.length > 1) {
        resultado=resultado.substring(1, resultado.length);
      }
      jqGetAjax('catalogo-add_Consultorio','upConsultorio', { Centro_Sal : '<?php echo $_POST['Centro_Sal']; ?>', No: $( '#consultorio_adcon3' ).val(), equiposReg: resultado, id_archivo: id_archivo });

    ">Guardar</button><?php

	}


  // 29 Abril 2018 . Víctor Manuel González Ventura
  public function add_EstatusRefencia(){
    $id_estatus=$_POST['id_estatus'];
    $titulo=$_POST['titulo'];
    $detalle=$_POST['detalle'];
    $color=$_POST['color'];
    $momento_alta=$_POST['momento_alta'];

    $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $Solicitud = $soapclient->AdministrarCatalogos_add_EstatusReferencia($id_estatus, $titulo, $detalle,$color,$momento_alta, $wsClave);
  $RESPUESTAS  = new SimpleXMLElement(utf8_encode($Solicitud));
  // if($RESPUESTAS->respuesta[0]->error == '0') echo "<b> Registro agregado con éxito </b>";
  if(isset($RESPUESTAS->respuesta[0]->errorencaptura)){
  ?>
    <input type="hidden" id="hError" name="hError" value="<?php echo $RESPUESTAS->respuesta[0]->error;  ?>">
    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($RESPUESTAS->respuesta[0]->errorencaptura);  ?>">
    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($RESPUESTAS->respuesta[0]->errorencaptura);  ?>">
  <?php
  }
  else{
  ?>
    <input type="hidden" id="hError" name="hError" value="<?php echo $RESPUESTAS->respuesta[0]->error;  ?>">
    <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($RESPUESTAS->respuesta[0]->titulo);  ?>">
    <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($RESPUESTAS->respuesta[0]->descripcion);  ?>">
  <?php
  }

  

  //print_r($RESPUESTAS);

  }

  // 12 Mar 2018 . LI Juan Pablo Sánchez Bracamontes
    public function up_activoEstatusReferencia(){
      $id_estatus=$_POST['id_estatus'];

      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      $Solicitud = $soapclient->AdministrarCatalogos_up_activoEstatusReferencia($id_estatus, $wsClave);
      $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

      $EstatusCad ='Baja'; $mensajeEstatus = 'Establecer en activo el elemento';
      if($Resp->respuesta[0]->activo == '1'){
        $EstatusCad ='Activar';        
        $mensajeEstatus = 'Establecer en baja el elemento';
      }
            
      echo "<img id='cmdStatus' src='Img/$EstatusCad.png' width='20px' height='20px' title='$mensajeEstatus'>";
  }

  // 22 Mar 2018 . Víctor Manuel González Ventura
  public function up_EstatusReferencia(){
    
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $id_estatus=$_POST['id_estatus'];
    $titulo=$_POST['titulo'];
    $detalle=$_POST['detalle'];
    $color=$_POST['color'];
    $momento_alta=$_POST['momento_alta'];
    $momento_baja=$_POST['momento_baja'];
    $activo=$_POST['activo'];

    $Solicitud = $soapclient->AdministrarCatalogos_up_EstatusReferencia($id_estatus, $titulo, $detalle, $color, $momento_alta, $momento_baja, $activo, $wsClave);
    $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

    

    ?>
      <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
      <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
      <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
      <?php


    //echo $id_estatus, $titulo, $detalle, $color, $momento_alta, $momento_baja, $activo;
  }

  
/// 21-sep 2018
/// agn
/// funcion para agregar centros de salud que pueden referenciara a otro centro de salud
public function add_CSRefPorUMED(){

      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();


    // se valida que los parametros se reciban
    if  ((!isset($_POST['dias'])) ||  (!isset($_POST['origen'])) || (!isset($_POST['destino'])))
      {
        ?>
          <input type="hidden" id="hError" value = "1" >
          <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
        <?php

      }
    else
      {

        $dias=$_POST['dias'];
        $solicitante=$_POST['origen'];
        $destino=$_POST['destino'];


        $Solicitud = $soapclient->AdministrarCatalogos_add_ConfCSRefPorUMEd($solicitante, $destino, $dias, $wsClave);
        $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

        ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
          <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
          <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
        <?php
      }
}


  // 01-10-2018 agn 
  // proceso para actualizar el estatus del centro de salud referenciable
    public function up_activoCSRefPorUMED(){
   
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      $cluesorigen=$_POST['clues_origen'];
      $cluesdestino=$_POST['clues_destino'];

      $Solicitud = $soapclient->AdministrarCatalogos_up_activoConfRefPorUMED($cluesorigen, $cluesdestino, $wsClave);
      $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
      
      //Print_r(  $Resp );

      $activo = ''.$Resp->respuesta[0]->activo;
      

      if ($activo === '0')
        {

          echo '<input type="hidden" value="0" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Baja.png" width="20px" height="20px" title="Establecer en Activo el elemento" style="cursor: pointer;"/>';
        }
      else
        {
          echo '<input type="hidden" value="1" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Activar.png" width="20px" height="20px" title="Establecer en Baja el elemento" style="cursor: pointer;"/>';
        
        }

      ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
          <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->tituloerror);  ?>">
          <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcionerror);  ?>">
      <?php



  }

  // 04-10-2018 agn 
  // proceso para actualizar el estatus del centro de salud referenciable
  public function up_diasCSRefPorUMED()
  {
  
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      // se valida que los parametros se reciban
      if  ((!isset($_POST['dias'])) ||  (!isset($_POST['origen'])) || (!isset($_POST['destino'])))
        {
          ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
          
          <?php
         
        }
      else
        {

        $dias=$_POST['dias'];
        $solicitante=$_POST['origen'];
        $destino=$_POST['destino'];
        


        $Solicitud = $soapclient->AdministrarCatalogos_up_ConfCSRefPorUMED($solicitante, $destino, $dias, '1', $wsClave);
        $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
       
     // print_r($Resp);


        ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
          <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->error);  ?>">
          <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->errorencaptura);  ?>">
        <?php
         
      }
    }

 // 16-10-2018 agn 
  // proceso para actualizar el estatus del tipo de servicio

  public function up_TiposServicios()
  {
      
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();



      // se valida que los parametros se reciban
      if  ((!isset($_POST['idTipoServicio']))) 
        {
          ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
          
          <?php
         
        }
      else
        {

          $idTipoServicio=$_POST['idTipoServicio'];
          
         // print_r($idTipoServicio);

          $Solicitud = $soapclient->AdministrarCatalogos_up_activoTipoServicioAdm($idTipoServicio, $wsClave);
          $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
         
       // print_r($Resp);
        $activo = ''.$Resp->respuesta[0]->activo;
      
        if ($activo === '0')
        {

          echo '<input type="hidden" value="0" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Baja.png" width="20px" height="20px" title="Establecer en Activo el elemento" style="cursor: pointer;"/>';
        }
      else
        {
          echo '<input type="hidden" value="1" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Activar.png" width="20px" height="20px" title="Establecer en Baja el elemento" style="cursor: pointer;"/>';
        
        }

          ?>
            <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
            <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->error);  ?>">
            <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->errorencaptura);  ?>">
          <?php
        }
    }


/// 24-oct 2018 agn
/// funcion para agregar  nuevo registro al catalogo tipo de servicios (para admision)
public function add_NuevoTipoSErvicioAdmision(){

      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();


    // se valida que los parametros se reciban
    if  ((!isset($_POST['NombreTipoServicio'])) )
      {
        ?>
          <input type="hidden" id="hError" value = "1" >
          <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
        <?php

      }
    else
      {

        $NombreTipoServicio=$_POST['NombreTipoServicio'];
        

        $Solicitud = $soapclient->AdministrarCatalogos_add_TipoServicioAdm($NombreTipoServicio, $wsClave);
        $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

        ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
          <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
          <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
        <?php
      }
  }


// 
  public function up_AtualizaTiposServicios()
  {
      
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();



      // se valida que los parametros se reciban
      if  ((!isset($_POST['idTipoServicio'])) ||  (!isset($_POST['NombreTipoServicio'])) ) 
        {
          ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
          
          <?php
         
        }
      else
        {

          $idTipoServicio=$_POST['idTipoServicio'];
          $NombreTipoServicio=$_POST['NombreTipoServicio'];
        } 
          
         // print_r($idTipoServicio);
          //die($idTipoServicio);
          //die($NombreTipoServicio);

          $Solicitud = $soapclient->AdministrarCatalogos_upd_TipoServicioAdm($idTipoServicio, $NombreTipoServicio,  $wsClave);
          $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
         
          

          ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
            <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->error);  ?>">
            <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->errorencaptura);  ?>">
          <?php
          
          
        }


/// 2*-oct 2018 agn
/// funcion para agregar  nuevo registro al catalogo servicios (para admision)
public function add_NuevoServicioAdmision(){

      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();


    // se valida que los parametros se reciban
    if  ((!isset($_POST['NombreServicio'])) ||  (!isset($_POST['NombreCortoServicio']))           )
      {
        ?>
          <input type="hidden" id="hError" value = "1" >
          <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
        <?php

      }
    else
      {

        $NombreServicio=$_POST['NombreServicio'];
        $NombreCortoServicio=$_POST['NombreCortoServicio'];

        $Solicitud = $soapclient->AdministrarCatalogos_add_ServicioAdm($NombreServicio,
          $NombreCortoServicio, $wsClave);
        $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

        ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
          <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
          <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
        <?php
      }
  }

// 30-10-2018 agn 
  // proceso para actualizar el estatus del servicio

  public function up_Servicios()
  {
      
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();



      // se valida que los parametros se reciban
      if  ((!isset($_POST['idServicio']))) 
        {
          ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
          
          <?php
         
        }
      else
        {

          $idServicio=$_POST['idServicio'];
          
         // print_r($idTipoServicio);

          $Solicitud = $soapclient->AdministrarCatalogos_up_activoServicioAdm($idServicio, $wsClave);
          $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
         
        //print_r($Resp);
        $activo = ''.$Resp->respuesta[0]->activo;
       // print_r('activo:'+$activo);
      
        if ($activo === '0')
        {

          echo '<input type="hidden" value="0" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Baja.png" width="20px" height="20px" title="Establecer en Activo el elemento" style="cursor: pointer;"/>';
        }
      else
        {
          echo '<input type="hidden" value="1" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Activar.png" width="20px" height="20px" title="Establecer en Baja el elemento" style="cursor: pointer;"/>';
        
        }

          ?>
            <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
            <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->error);  ?>">
            <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->errorencaptura);  ?>">
          <?php
        }
    }

// 06-11-2018
  public function up_AtualizaServicios()
  {
      
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

if  ((!isset($_POST['idServicio'])))
{
  ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos IDSERVICIO" >
          
          <?php
}


      // se valida que los parametros se reciban
     if  ((!isset($_POST['idServicio'])) ||  
           (!isset($_POST['NombreServicio']))  || 
           (!isset($_POST['NombreCortoServicio'])) ) 
        {
          ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
          
          <?php
         
        }
      else
        {

          $idServicio=$_POST['idServicio'];
          $NombreServicio=$_POST['NombreServicio'];
          $NombreCortoServicio=$_POST['NombreCortoServicio'];
   

       

          //die($idTipoServicio);
          //die($NombreTipoServicio);
          $idServicio=$_POST['idServicio'];
          $NombreServicio=$_POST['NombreServicio'];
          $NombreCortoServicio=$_POST['NombreCortoServicio'];
          /*print_r($idServicio);
          print_r($NombreServicio);
          print_r($NombreCortoServicio);
          print_r($wsClave);
          */

          $Solicitud = $soapclient->AdministrarCatalogos_upd_ServicioAdm($idServicio,  $NombreServicio,  $NombreCortoServicio,   $wsClave);
 
          $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
         
         

          ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
            <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->error);  ?>">
            <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->errorencaptura);  ?>">
          <?php
          
         
        }
          
    }

    // 02 Jun 21 Janeth Cuevas
    public function agendaUrgencias_upMedicos(){
      $centro_sal=$_POST['centro_sal'];
      $No=$_POST['No'];
      $idMedicos=$_POST['idMedicos'];

      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      $Solicitud = $soapclient->AdministrarCuentasDeUsuario_upAgendaMedicoUrgencias($centro_sal, $No, $idMedicos, $wsClave);
      $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
      
 

  ?>
          <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
          <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->error);  ?>">
          <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->errorencaptura);  ?>">

          <button type="button" id="btn_guardar_adcon3" onclick="jqSetMensaje('upModulo', '', null);  var centro_sal= '<?php echo $centro_sal; ?>'; var No = '<?php echo $No; ?>'; var resultado=''; $('.tabla_remo .mac').each(function(){ var mac=$(this).html(); resultado+=','+mac;}); if (resultado.length > 1){ resultado=resultado.substring(1, resultado.length);}  jqGetAjax('agenda-urgencias_upMedicos','upModulo', { centro_sal: centro_sal, No: No,  idMedicos: resultado });   resultado.empty();">Actualizar</button>
          <?php

  }
  // 02 Sep 21 Janeth C. fn para actualizar el status de activo de una cama de admisión. 
  public function up_activoCamasAdmision()
  {
      
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();



      // se valida que los parametros se reciban
      if  ((!isset($_POST['centro_sal'])) ||  
           (!isset($_POST['idTipoServ']))  || 
           (!isset($_POST['idEspecialidad'])) || 
           (!isset($_POST['NoCama'])) ) 
        {
          ?>
            <input type="hidden" id="hError" value = "1" >
            <input type="hidden" id="hErrorDetalle" value = "Parámetros incompletos" >
          
          <?php
         
        }
      else
        {
          $centro_sal=$_POST['centro_sal'];
          $idEspecialidad=$_POST['idEspecialidad'];
          $idTipoServ=$_POST['idTipoServ'];
          $NoCama=$_POST['NoCama'];
         // print_r($idTipoServicio);

          $Solicitud = $soapclient->AdministrarCatalogos_up_activoCamaAdm($centro_sal, $idEspecialidad,$idTipoServ, $NoCama, $wsClave);
          $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));
         
        //print_r($Resp); //die();
        $activo = ''.$Resp->respuesta[0]->activo;
         //print_r('activo:'+$activo);
         //die();
      
        if ($activo === '1')
        {

          echo '<input type="hidden" value="0" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Baja.png" width="20px" height="20px" title="Establecer en Activo el elemento" style="cursor: pointer;"/>';

          
        }
      else
        {
          echo '<input type="hidden" value="1" id="h_Status" name="h_Status"><img id="cmdStatus" src="Img/Activar.png" width="20px" height="20px" title="Establecer en Baja el elemento" style="cursor: pointer;"/>';


        
        }

          ?>
            <input type="hidden" id="hStatus" name="hStatus" value="<?php echo $activo;  ?>">
            <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
            <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->tituloerror);  ?>">
            <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcionerror);  ?>">
          <?php
        }
    }

    public function addNew_tipoNotaMedica() {
      $titulo_nota=$_POST['titulo_nota'];
      $tipo_consulta=$_POST['tipo_consulta'];
      $apartados=$_POST['apartados'];
 
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();

      $Solicitud = $soapclient->AdministrarCatalogos_add_TipoNota($titulo_nota, $tipo_consulta, $apartados, $wsClave);
      $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

     if($Resp->respuesta[0]->error == '1') echo "<b> Registro actualizado con éxito </b>";

      else echo utf8_decode($Resp->respuesta[0]->titulo);

      ?>
      <button type="button" name="btn_cancelar" id="btn_cancelar">Cerrar</button>
     <!--  <button type="button" id="btn_actualizar_tipoNota">Actualizar</button> -->
 
      
      <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
      <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
      <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
    <?php

    }

    // 16 de Nov 2022 Janeth C.

  public function statusTipoNota() {

    $Id_tiponota = $_POST['idTipoNota'];
    $Status = $_POST['status'];
    $i=$_POST['i'];
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();
    $Solicitud = $soapclient->AdministrarCatalogos_upd_statusTipoNota($Id_tiponota, $Status, $wsClave);

   if($Status=='0'){ ?>
      <img src="Img/Baja.png" width="20px" height="20px" title="Establecer en activo" style="cursor: pointer;" onclick="jqGetAjaxShort('catalogo-statusTipoNota','stUpObj_<?php echo $i; ?>', {idTipoNota: '<?php echo $Id_tiponota; ?>', status: '1', i: <?php echo $i; ?> }); " />
        <?php
        } else{ ?>
              <img src="Img/Activar.png" width="20px" height="20px" title="Dar de baja" style="cursor: pointer;" onclick=" jqGetAjaxShort('catalogo-statusTipoNota','stUpObj_<?php echo $i; ?>', {idTipoNota: '<?php echo $Id_tiponota; ?>', status: '0', i: <?php echo $i; ?> });" />
            <?php
        }
  }

  public function updTipoNotaMedica() {

    $id_tiponota = $_POST['id_tipo_nota'];
    $titulo_nota=$_POST['titulo_nota'];
    $tipo_consulta=$_POST['tipo_consulta'];
    $apartados=$_POST['apartados'];
 
      $var = ejLib::getInstance();
      $soapclient = $var->getWs();
      $wsClave = $var->get_wsClave();


      $Solicitud = $soapclient->AdministrarCatalogos_upd_TipoNota($id_tiponota,$titulo_nota, $tipo_consulta, $apartados, $wsClave);
      $Resp  = new SimpleXMLElement(utf8_encode($Solicitud));

     if($Resp->respuesta[0]->error == '0') echo "<b> Registro actualizado con éxito </b>";

      else echo utf8_decode($Resp->respuesta[0]->titulo);

      ?>
      
      <!-- <button type="button" id="btn_updTipoNota" onclick="">Actualizar</button> -->
      
      <input type="hidden" id="hError" name="hError" value="<?php echo $Resp->respuesta[0]->error;  ?>">
      <input type="hidden" id="hErrorTitulo" name="hErrorTitulo" value="<?php echo utf8_decode($Resp->respuesta[0]->titulo);  ?>">
      <input type="hidden" id="hErrorDetalle" name="hErrorDetalle" value="<?php echo utf8_decode($Resp->respuesta[0]->descripcion);  ?>">
    <?php

    }
 




}
